y4mcolorbars(1)

NAME
y4mcolorbars - Create a YUV4MPEG2 stream containing a colorbar test pattern

SYNOPSIS
y4mcolorbars [options]

DESCRIPTION
y4mcolorbars creates a YUV4MPEG2 stream consisting entirely of frames containing a colorbar test pattern. This stream is ready for further processing by the mpeg2enc(1) MPEG encoder and image processing filters like yuvscaler(1). Output is to stdout to facilitate piping to other MJPEG tools.

OPTIONS
y4mcolorbars accepts the following options:

-n num
    Output a total of 'num' output frames. (default: 1)

-F n:d
    Set framerate encoded in output stream, as an exact integer ratio. (default: 30000:1001) Common rates are:
     24000:1001 - NTSC 3:2 pulldown converted film
           24:1 - native film
           25:1 - PAL/SECAM
     30000:1001 - NTSC video
           50:1 - PAL field rate
     60000:1001 - NTSC field rate

-W w
    Set frame width. (default: 720)

-H h
    Set frame height. (default: 480)

-A n:d
    Set pixel aspect ratio encoded in output stream, as an exact integer ratio. (default: 10:11) Common ratios are:
         1:1 - square pixels (computer graphics)
        10:11 - CCIR-601 NTSC
        59:54 - CCIR-601 PAL

-I x
    Set interlacing mode, used to interpret the PPM image(s), and also encoded in output stream. (default: 'p')
     p - progressive, non-interlaced
     t - top/upper-field-first interlaced
     b - bottom/lower-field-first interlaced

-S mode
    Set chroma subsampling mode. (default: 420_jpeg)
      420_jpeg - 4:2:0 JPEG/MPEG-1, interstitial cositing
     420_mpeg2 - 4:2:0 MPEG-2, horizontal cositing Changing the subsampling mode from the default won't necessarily make anything better. This option is just for experimenting.

-v [0,1,2]
    Set verbosity level.
     0 = warnings and errors only.
     1 = add informative messages, too.
     2 = add chatty debugging message, too.

EXAMPLES
To create and display 200 frames of colorbars corresponding to a top-field-first interlaced 4:3 NTSC source:
    y4mcolorbars -n 200 -It | yuvplay
To create and display 200 frames of colorbars corresponding to a bottom-field-first interlaced 4:3 PAL source:
    y4mcolorbars -n 200 -H 576 -F 25:1 -A 59:54 -Ib | yuvplay

AUTHOR
This man page was written by Matt Marjanovic.
If you have questions, remarks, problems or you just want to contact the developers, the main mailing list for the MJPEG-tools is:
  mjpeg-users@lists.sourceforge.net

For more info, see our website at
    http://mjpeg.sourceforge.net

SEE ALSO
mjpegtools(1), mpeg2enc(1), yuvscaler(1), yuv2lav(1), yuvplay(1)